## edu.stanford.nlp.tagger.maxent
Class DictionaryExtractor

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.Extractor
          edu.stanford.nlp.tagger.maxent.DictionaryExtractor

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ExtractorVerbalVBNZero

    public class DictionaryExtractor

extends Extractor

This class is the same as a regular Extractor, but keeps a pointer to the tagger's dictionary as well. Obviously that means this kind of extractor is not reusable across multiple taggers (see comments Extractor.java), so no extractor of this type should be declared static.

See Also:
  Serialized Form

Field Summary
`protected Dictionary` `dict` A pointer to the creating / owning tagger's dictionary.

Constructor Summary
`DictionaryExtractor()`

Method Summary
`protected void` `setGlobalHolder(MaxentTagger tagger)` Any subclass of this extractor that overrides setGlobalHolder should call this class's setGlobalHolder as well...

Methods inherited from class edu.stanford.nlp.tagger.maxent.Extractor
`isDynamic, isLocal, leftContext, precondition, rightContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dict

    protected transient Dictionary dict

  A pointer to the creating / owning tagger's dictionary.

Constructor Detail

### DictionaryExtractor

    public DictionaryExtractor()

Method Detail

### setGlobalHolder

    protected void setGlobalHolder(MaxentTagger tagger)

  Any subclass of this extractor that overrides setGlobalHolder should call this class's setGlobalHolder as well...

  Overrides:
    `setGlobalHolder` in class `Extractor`

Stanford NLP Group